<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------

namespace app\api\lists;


use app\common\model\goods\Goods;
use app\common\lists\ListsSearchInterface;
use app\common\model\goods_category\GoodsCategory;
use app\common\model\home_service\HomeService;
use app\common\service\FileService;


/**
 * Goods列表
 * Class GoodsLists
 * @package app\adminapi\listsgoods
 */
class HomeServiceLists  extends BaseApiDataLists implements ListsSearchInterface
{


    /**
     * @notes 设置搜索条件
     * @return \string[][]
     * @author likeadmin
     * @date 2024/07/07 16:44
     */
    public function setSearch(): array
    {
        return [
            '=' => ['name',],
        ];
    }

    public function queryWhere(){
        $where = [];
        // 用户余额
        if (isset($this->params['goods_id']) && is_array($this->params['goods_id'])) {
            $where[] = ['goods_id', 'in',$this->params['goods_id']];
        }
        return $where;
    }

    /**
     * @notes 获取列表
     * @return array
     * @throws \think\db\exception\DataNotFoundException
     * @throws \think\db\exception\DbException
     * @throws \think\db\exception\ModelNotFoundException
     * @author likeadmin
     * @date 2024/07/07 16:44
     */
    public function lists(): array
    {
        return HomeService::where($this->searchWhere)
            ->where($this->queryWhere())
            ->field(['id', 'name', 'goods_id', 'picture', 'sort'])
            ->order(['sort' => 'desc','id' => 'desc'])
            ->select()
            ->toArray();
    }


    /**
     * @notes 获取数量
     * @return int
     * @author likeadmin
     * @date 2024/07/07 16:44
     */
    public function count(): int
    {
        return HomeService::where($this->searchWhere)->count();
    }

}